package com.xjrsoft.module.banding.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.banding.dto.BandingTaskClassPageDto;
import com.xjrsoft.module.banding.dto.BandingTaskClassStudentPageDto;
import com.xjrsoft.module.banding.entity.BandingTaskClass;
import com.xjrsoft.module.banding.vo.BandingTaskClassPageVo;
import com.xjrsoft.module.banding.vo.BandingTaskClassStudentListVo;
import com.xjrsoft.module.banding.vo.BandingTaskClassSureListVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/

public interface IBandingTaskClassService extends MPJBaseService<BandingTaskClass> {
    /**
    * 新增
    *
    * @param bandingTaskClass
    * @return
    */
    Boolean add(BandingTaskClass bandingTaskClass);

    /**
    * 更新
    *
    * @param bandingTaskClass
    * @return
    */
    Boolean update(BandingTaskClass bandingTaskClass);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);


    List<BandingTaskClassPageVo> getList(BandingTaskClassPageDto dto);

    Boolean reset(Long bandingTaskId);

    List<BandingTaskClassStudentListVo> classStudent(BandingTaskClassStudentPageDto dto);

    List<BandingTaskClassSureListVo> getClassSure(BandingTaskClassStudentPageDto dto);

    Boolean importData(Long bandingTaskId, List<Map<Integer, Object>> excelDataList);
}
